DecompiledClassNode (groovy 2.5.0 API)
Date: 2018-05-27

Package: org.codehaus.groovy.ast.decompiled

## [Java] Class DecompiledClassNode

- org.codehaus.groovy.ast.decompiled.DecompiledClassNode

- A ClassNode kind representing the classes coming from *.class files decompiled using ASM.

  See Also:
    org.codehaus.groovy.ast.decompiled.AsmDecompiler
  Authors:
    Peter Gromov

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ClassNode` | `EMPTY_ARRAY, SUPER, THIS, clazz, innerClasses, isPrimaryNode, lazyInitLock`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `usingGenerics`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DecompiledClassNode (ClassStub data, AsmReferenceResolver resolver)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List<AnnotationNode>` | `getAnnotations()`
    `` | `List<AnnotationNode>` | `getAnnotations(ClassNode type)`
    `` | `long` | `getCompilationTimeStamp()`
    `` | `List<ConstructorNode>` | `getDeclaredConstructors()`
    `` | `FieldNode` | `getDeclaredField(String name)`
    `` | `List<MethodNode>` | `getDeclaredMethods(String name)`
    `` | `List<FieldNode>` | `getFields()`
    `` | `GenericsType[]` | `getGenericsTypes()`
    `` | `ClassNode[]` | `getInterfaces()`
    `` | `List<MethodNode>` | `getMethods()`
    `` | `Class` | `getTypeClass()`
    `` | `ClassNode[]` | `getUnresolvedInterfaces(boolean useRedirect)`
    `` | `ClassNode` | `getUnresolvedSuperClass(boolean useRedirect)`
    `` | `boolean` | `isResolved()`
    `` | `boolean` | `isUsingGenerics()`
    `` | `void` | `setGenericsPlaceHolder(boolean b)`
    `` | `String` | `setName(String name)`
    `` | `void` | `setRedirect(ClassNode cn)`
    `` | `void` | `setUsingGenerics(boolean b)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassNode` | `ClassNode, ClassNode, ClassNode, addConstructor, addConstructor, addField, addField, addFieldFirst, addFieldFirst, addInterface, addMethod, addMethod, addMixin, addObjectInitializerStatements, addProperty, addProperty, addStaticInitializerStatements, addSyntheticMethod, addTransform, declaresInterface, equals, getAbstractMethods, getAllDeclaredMethods, getAllInterfaces, getAnnotations, getAnnotations, getCompileUnit, getComponentType, getDeclaredConstructor, getDeclaredConstructors, getDeclaredField, getDeclaredMethod, getDeclaredMethods, getDeclaredMethodsMap, getEnclosingMethod, getField, getFieldIndex, getFields, getGenericsTypes, getGetterMethod, getGetterMethod, getInnerClasses, getInterfaces, getMethod, getMethods, getMethods, getMixins, getModifiers, getModule, getName, getNameWithoutPackage, getObjectInitializerStatements, getOuterClass, getOuterClasses, getOuterField, getPackage, getPackageName, getPlainNodeReference, getProperties, getProperty, getSetterMethod, getSetterMethod, getSuperClass, getText, getTransforms, getTypeClass, getUnresolvedInterfaces, getUnresolvedInterfaces, getUnresolvedName, getUnresolvedSuperClass, getUnresolvedSuperClass, hasDeclaredMethod, hasMethod, hasPackageName, hasPossibleMethod, hasPossibleStaticMethod, hasProperty, hashCode, implementsInterface, isAbstract, isAnnotated, isAnnotationDefinition, isArray, isDerivedFrom, isDerivedFromGroovyObject, isEnum, isGenericsPlaceHolder, isInterface, isPrimaryClassNode, isRedirectNode, isResolved, isScript, isScriptBody, isStaticClass, isSyntheticPublic, isUsingGenerics, makeArray, parametersEqual, positionStmtsAfterEnumInitStmts, redirect, removeConstructor, removeField, removeMethod, renameField, setAnnotated, setCompileUnit, setEnclosingMethod, setGenericsPlaceHolder, setGenericsTypes, setInterfaces, setModifiers, setModule, setName, setRedirect, setScript, setScriptBody, setStaticClass, setSuperClass, setSyntheticPublic, setUnresolvedSuperClass, setUsingGenerics, toString, toString, tryFindPossibleMethod, visitContents`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### boolean usingGenerics

  - ### Constructor Detail

    - #### public DecompiledClassNode(ClassStub data, AsmReferenceResolver resolver)

  - ### Method Detail

    - #### @Override public List<AnnotationNode> getAnnotations()

    - #### @Override public List<AnnotationNode> getAnnotations(ClassNode type)

    - #### public long getCompilationTimeStamp()

    - #### @Override public List<ConstructorNode> getDeclaredConstructors()

    - #### @Override public FieldNode getDeclaredField(String name)

    - #### @Override public List<MethodNode> getDeclaredMethods(String name)

    - #### @Override public List<FieldNode> getFields()

    - #### @Override public GenericsType[] getGenericsTypes()

    - #### @Override public ClassNode[] getInterfaces()

    - #### @Override public List<MethodNode> getMethods()

    - #### @Override public Class getTypeClass()

    - #### @Override public ClassNode[] getUnresolvedInterfaces(boolean useRedirect)

    - #### @Override public ClassNode getUnresolvedSuperClass(boolean useRedirect)

    - #### @Override public boolean isResolved()

    - #### @Override public boolean isUsingGenerics()

    - #### @Override public void setGenericsPlaceHolder(boolean b)

    - #### @Override public String setName(String name)

    - #### @Override public void setRedirect(ClassNode cn)

    - #### @Override public void setUsingGenerics(boolean b)